Agents
Update an agent from a manifest
POST
/agents/{agent_name}/importUpdates the agent from a manifest by adding a new version if there are any changes to the agent definition. If no changes, returns the existing agent version.
Path ParametersQuery Parameters
agent_namestringrequired
The name of the agent to update.api-versionstringrequired
The API version to use for this operation.Request BodyContent-Type: application/json
metadataobject
Set of 16 key-value pairs that can be attached to an object. This can be
useful for storing additional information about the object in a structured
format, and querying for objects via API or the dashboard.
Keys are strings with a maximum length of 64 characters. Values are strings
with a maximum length of 512 characters.descriptionstring
A human-readable description of the agent.manifest_idstringrequired
The manifest ID to import the agent version from.parameter_valuesobjectrequired
The inputs to the manifest that will result in a fully materialized Agent.Responses
objectenumrequired
The object type, which is always 'agent'.agent
idstringrequired
The unique identifier of the agent.namestringrequired
The name of the agent.stateenumrequired
The operational state of the agent. Controls whether the agent endpoint accepts or rejects requests.enableddisabled
versionsobjectrequired
The latest version of the agent.latestAgentVersionObjectrequired
agent_endpointAgentEndpointConfig
The endpoint configuration for the agentversion_selectorVersionSelector
The version selector of the agent endpoint determines how traffic is routed to different versions of the agent.protocol_configurationProtocolConfiguration
Per-protocol configuration for the agent endpoint.authorization_schemes(Entra | BotService | BotServiceRbac | BotServiceTenant)[]
The authorization schemes supported by the agent endpointinstance_identityAgentIdentity
The instance identity of the agentprincipal_idstringrequired
The principal ID of the agent instanceclient_idstringrequired
The client ID of the agent instance. Also referred to as the instance IDblueprintAgentIdentity
The blueprint for the agentprincipal_idstringrequired
The principal ID of the agent instanceclient_idstringrequired
The client ID of the agent instance. Also referred to as the instance IDblueprint_referenceManagedAgentIdentityBlueprint
The blueprint for the agentOne of the following:
ManagedAgentIdentityBlueprintManagedAgentIdentityBlueprintReference
agent_cardAgentCard
versionstringrequired
The version of the agent card.descriptionstring
The description of the agent card.skillsAgentCardSkill[]required
The set of skills that an agent can perform.